#include<bits/stdc++.h>
using namespace std;
long long masiv[1000001];
long long indx[10000001];
int main(){
    long long N,K;
    cin>>N>>K;
    long long last =0;
    long long br1 = 0;
    long long br2 = 0;
    for(long long a=0;a<N;a++){
        cin>>masiv[a];
    }
    cout<<"0";
return 0;
}